%define name glame
%define version   0.6.1
%define release   1mdk

Summary:   	A sound editor
Name:      	%{name}
Version:   	%{version}
Release:   	%{release}
License: 	GPL
Group:     	Sound
Source0:   	%{name}-%{version}.tar.bz2
Source1:      	%{name}-48x48.png.bz2
Source2:      	%{name}-32x32.png.bz2
Source3:      	%{name}-16x16.png.bz2
URL:       	http://glame.sourceforge.net/ 
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libxml-devel >= 1.8.0 gnome-libs-devel fftw-devel guile-devel
BuildRequires: 	libgnome-db-devel
BuildRequires: 	libesound-devel alsa-lib-devel libglade-devel


%description
GLAME is meant to be the GIMP of audio processing. It is designed to be
a powerful, fast, stable, and easily extensible sound editor for Linux
and compatible systems. Supported platforms are Linux and IRIX. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p .%{_libdir}/menu
cat > .%{_libdir}/menu/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/glame"\
title="Glame"\
longtitle="An audio processing tool"\
needs="x11"\
section="Multimedia/Sound"\
icon="%{name}.png"
EOF
)
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name}

%post
/sbin/install-info %{_infodir}/glame.info.bz2 %{_infodir}/dir
/sbin/install-info %{_infodir}/glame-dev.info.bz2 %{_infodir}/dir
%{update_menus}

%postun
/sbin/install-info --delete %{_infodir}/glame.info.bz2 %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/glame-dev.info.bz2 %{_infodir}/dir
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/glame/*.so
%{_datadir}/%{name}/
%{_infodir}/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Mon Jan 28 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- 0.6.1
- png icons

* Mon Dec 31 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Tue Dec 11 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.4-1mdk
- don't require libxml2
- 0.5.4
- removed patches

* Tue Nov 13 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-2mdk
- patched configure.in check for new libglade
- patch from CVS to prevent optimization from removing plugin symbols
- install development documentation

* Sat Nov 10 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- fixed cflags for moved header of new libglade
- reduce optimization level
- use find_lang macro
- drop lib package
- fixed rpmlint warnings
- fixed buildrequires
- 0.5.3

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.2-1mdk
- updated to 0.5.2

* Mon Jul 16 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.4.2
	- split out library package

* Fri May  4 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- 0.4.1
- fixed info file installation
- added build requirements
- added icons

* Fri Apr 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.4.0-1mdk
- new version

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- rebuild

* Sat Sep 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- info macros
- menu 

* Sat Sep 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- new in contribs
